scala.tools.nsc.Global

# genJVM

#### object genJVM extends GenJVM

Linear Supertypes
GenJVM, GenJVMASM, BytecodeWriters, GenAndroid, GenJVMUtil, SubComponent, AnyRef, Any
Content Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. genJVM
2. GenJVM
3. GenJVMASM
4. BytecodeWriters
5. GenAndroid
6. GenJVMUtil
7. SubComponent
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class BytecodeGenerator extends BytecodeUtil

   Java bytecode generator.

2. #### trait BytecodeUtil extends AnyRef

   This trait may be used by tools who need access to utility methods like javaName and javaType.

3. #### trait BytecodeWriter extends AnyRef

   Definition Classes
     BytecodeWriters

4. #### trait ClassBytecodeWriter extends BytecodeWriter

   Definition Classes
     BytecodeWriters

5. #### class DirectToJarfileWriter extends BytecodeWriter

   Definition Classes
     BytecodeWriters

6. #### trait DumpBytecodeWriter extends BytecodeWriter

   Definition Classes
     BytecodeWriters

7. #### trait JavapBytecodeWriter extends BytecodeWriter

   Definition Classes
     BytecodeWriters

8. #### class JvmPhase extends Global.icodes.ICodePhase

   JVM code generation phase

9. #### abstract class StdPhase extends GlobalPhase

   A standard phase template

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val ExcludedForwarderFlags: Long

   Attributes
     protected
   Definition Classes
     GenJVMASM

7. #### def addCreatorCode(codegen: BytecodeGenerator, block: icodes.BasicBlock): Unit

   Definition Classes
     GenAndroid

8. #### final def afterOwnPhase[T](op: ⇒ T): T

   Definition Classes
     SubComponent
   Annotations
     @inline()

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### final def beforeOwnPhase[T](op: ⇒ T): T

    Definition Classes
      SubComponent
    Annotations
      @inline()

11. #### val classLiteral: Map[icodes.TypeKind, JObjectType]

    Map from type kinds to the Java reference types.

    Map from type kinds to the Java reference types. It is used for loading class constants. @see Predef.classOf.

    Definition Classes
      GenJVMUtil

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def getFile(sym: Global.Symbol, clsName: String, suffix: String): AbstractFile

    Attributes
      protected
    Definition Classes
      GenJVMASM

18. #### def getFile(base: AbstractFile, clsName: String, suffix: String): AbstractFile

    Attributes
      protected
    Definition Classes
      GenJVMASM

19. #### val global: Global.this.type

    The global environment; overridden by instantiation in Global.

    The global environment; overridden by instantiation in Global.

    Definition Classes
      genJVM → GenJVMASM → BytecodeWriters → SubComponent

20. #### def hashCode(): Int

    SubComponent are added to a HashSet and two phases are the same if they have the same name

    SubComponent are added to a HashSet and two phases are the same if they have the same name

    Definition Classes
      SubComponent → AnyRef → Any

21. #### val internal: Boolean

    Internal flag to tell external from internal phases

    Internal flag to tell external from internal phases

    Definition Classes
      SubComponent

22. #### def isAndroidParcelableClass(sym: Global.Symbol): Boolean

    Definition Classes
      GenAndroid

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### def isJavaEntryPoint(icls: icodes.IClass): Boolean

    Attributes
      protected
    Definition Classes
      GenJVMASM

25. #### def isStaticModule(sym: Global.Symbol): Boolean

    Definition Classes
      GenJVM

26. #### def isTopLevelModule(sym: Global.Symbol): Boolean

    Definition Classes
      GenJVM

27. #### def javaFieldFlags(sym: Global.Symbol): Int

    Definition Classes
      GenJVM

28. #### def javaFlags(sym: Global.Symbol): Int

    Return the Java modifiers for the given symbol.

    Return the Java modifiers for the given symbol. Java modifiers for classes:

    - public, abstract, final, strictfp (not used) for interfaces:
    - the same as for classes, without 'final' for fields:
    - public, private (*)
    - static, final for methods:
    - the same as for fields, plus:
    - abstract, synchronized (not used), strictfp (not used), native (not used)

    (*) protected cannot be used, since inner classes 'see' protected members, and they would fail verification after lifted.

    Definition Classes
      GenJVM

29. #### def legacyAddCreatorCode(codegen: BytecodeGenerator, clinit: JExtendedCode): Unit

    Definition Classes
      GenAndroid

30. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

31. #### def newPhase(p: Phase): Phase

    Create a new phase

    Create a new phase

    Definition Classes
      GenJVM → SubComponent

32. #### final def notify(): Unit

    Definition Classes
      AnyRef

33. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

34. #### def outputDirectory(sym: Global.Symbol): AbstractFile

    Attributes
      protected
    Definition Classes
      GenJVMASM

35. #### def ownPhase: Phase

    The phase corresponding to this subcomponent in the current compiler run

    The phase corresponding to this subcomponent in the current compiler run

    Definition Classes
      SubComponent

36. #### val phaseName: String

    The name of the phase

    The name of the phase

    Definition Classes
      GenJVM → SubComponent

37. #### def phaseNewFlags: Long

    New flags defined by the phase which are not valid before

    New flags defined by the phase which are not valid before

    Definition Classes
      SubComponent

38. #### def phaseNextFlags: Long

    New flags defined by the phase which are not valid until immediately after it

    New flags defined by the phase which are not valid until immediately after it

    Definition Classes
      SubComponent

39. #### var pickledBytes: Int

    Definition Classes
      GenJVM

40. #### val runsAfter: collection.immutable.List[String]

    List of phase names, this phase should run after

    List of phase names, this phase should run after

    Definition Classes
      genJVM → SubComponent

41. #### val runsBefore: List[String]

    List of phase names, this phase should run before

    List of phase names, this phase should run before

    Definition Classes
      SubComponent

42. #### val runsRightAfter: None.type

    Phase name this phase will attach itself to, not allowing any phase to come between it and the phase name declared

    Phase name this phase will attach itself to, not allowing any phase to come between it and the phase name declared

    Definition Classes
      genJVM → SubComponent

43. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

44. #### def toString(): String

    Definition Classes
      AnyRef → Any

45. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from GenJVM

### Inherited from GenJVMASM

### Inherited from BytecodeWriters

### Inherited from GenAndroid

### Inherited from GenJVMUtil

### Inherited from SubComponent

### Inherited from AnyRef

### Inherited from Any

### Ungrouped